LIB_LINEDIT = @LIB_LINEDIT@
CC          = @CC@
CFLAGS      = @CFLAGS@
RANLIB      = @RANLIB@
EXEEXT      = @EXEEXT@

LIBNAME = $(LIB_LINEDIT)
OBJLIB  = linedit.o stty.o char_io.o


$(LIBNAME): $(OBJLIB)
	rm -f $(LIBNAME)
	ar rc $(LIBNAME) $(OBJLIB)
	$(RANLIB) $(LIBNAME)	


clean:
	rm -f *.o $(LIBNAME) 


linedit.o: ../EnginePl/config.h

distclean: clean
	rm -f test_linedit$(EXEEXT) test_noecho$(EXEEXT)


test_linedit$(EXEEXT): test_linedit.o $(LIBNAME)
	$(CC) -o test_linedit$(EXEEXT) test_linedit.o $(LIBNAME)

test_noecho$(EXEEXT): test_noecho.o $(LIBNAME)
	$(CC) -o test_noecho$(EXEEXT) test_noecho.o $(LIBNAME)


clean-test:
	rm -f test*.o test_linedit$(EXEEXT) test_noecho$(EXEEXT)


